Subject: bug#68664: 29.1.50; treesit defun commands broken with nested functions

From: Daniel Martín <[email-masked]>
Date: Tue, 23 Jan 2024 01:32:11 +0100

Troy Brown <[email-masked]> writes:

> I've noticed that "defun" related treesit commands do not appear to work
> correctly when nested functions are involved.  I've seen this behavior
> in multiple languages and believe the problem is an issue in the
> treesit.el library.

Customize the treesit-defun-tactic variable to 'top-level to ignore
nested defuns in navigation commands.